Subject: bug#48609: Eglot and tab-always-indent conflict in python-mode

From: Pankaj Jangid <[email-masked]>
Date: Sun, 23 May 2021 20:25:28 +0530

If ‘eglot’ is running and ‘tab-always-indent’ is set to ’complete. Then
in python-mode, TAB doesn’t cycle point column positions. For example,
in the following code if you are at end of line 2 and then you press RET
then TAB doesn’t move the point to left margin. Without ‘eglot’ this
works fine.

#+begin_src python
def greet(s):
    print(f"Hello {s}!")
#+end_src